#ifndef HLAVNIOKNO_H
#define HLAVNIOKNO_H

#include <QMainWindow>
#include <QTableWidget>
#include <QTreeWidgetItem>

namespace Ui {
class HlavniOkno;
}

const int v = 8;

class HlavniOkno : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit HlavniOkno(QWidget *parent = 0);
    ~HlavniOkno();

    
private slots:
    void on_actionRun_triggered();

    void on_treeWidget_itemClicked(QTreeWidgetItem *item, int column);

private:
    int limit;
    QTreeWidgetItem * current;
    void setupTable (QTableWidget * t);
    void skoc (int x0, int y0, int n, int x, int y);


    Ui::HlavniOkno *ui;

};

class MyNode : public QTreeWidgetItem
{
   public:
    QTableWidgetItem * pole [v][v];
};

#endif // HLAVNIOKNO_H
